const test = await this.actor.setupSkill(game.i18n.localize("NAME.Cool"), {
  difficulty: "challenging",
  context: {
    failure: "Subi l'état @Condition[Fatigued] à cause de cauchemars.",
    success: "A souffert de cauchemars, mais a assez bien dormi."
  }
});
await test.roll();

if (test.failed) {
  await this.actor.addCondition("fatigued");
}